apiVersion: v1
kind: Service
metadata:
  name: db-service
  labels:
    app: DB
spec:
  type: ClusterIP
  selector:
    app: MYSQL
  ports:
    - targetPort: 3306
      port: 3306
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: db-deployment
  labels:
    app: DB
spec:
  replicas: 2
  selector:
    matchLabels:
      app: MYSQL
  template:
    metadata:
      labels:
        app: MYSQL
    spec:
      containers:
      - name: db-container
        image: petreoctav/licenta:dbimage
        ports:
        - containerPort: 3306
        args: ["--default-authentication-plugin=mysql_native_password"]
        env:
          - name: MYSQL_DATABASE
            valueFrom:
              configMapKeyRef:
               name: db-configmap
               key: MYSQL_DATABASE
          - name: MYSQL_USER
            valueFrom:
              configMapKeyRef:
               name: db-configmap
               key: MYSQL_USER
          - name: MYSQL_PASSWORD
            valueFrom:
              configMapKeyRef:
               name: db-configmap
               key: MYSQL_PASSWORD
          - name: MYSQL_ROOT_PASSWORD
            valueFrom:
              configMapKeyRef:
               name: db-configmap
               key: MYSQL_ROOT_PASSWORD           
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: db-configmap
  labels:
    app: DB
data:
  MYSQL_DATABASE: "planetickets"
  MYSQL_USER: "test"
  MYSQL_PASSWORD: "test"
  MYSQL_ROOT_PASSWORD: "test"
